Cancel shipping
POST https://{handle}.myshopline.com/admin/openapi/v20261201/orders/:order_id/fulfillments/:fulfillment_id/cancel.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Order shipment cancellation
Path Parameters
- fulfillment_id string requiredPackage id
- order_id string requiredOrder number
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
fulfillmentobject
Package informationupdated_at stringUpdate timetracking_number stringTracking numbertracking_numbers arrayTracking number arrayExample:[""]name stringPackageExample:e.g. #1001.1, #1001.2tracking_url stringLogistics tracking URLstatus stringPackage trackingcreated_at stringCreation datetracking_urls arrayLogistics tracking URL groupExample:[""]order_id stringOrder numberid stringPackage IDtracking_company stringLogistics company nameline_itemsobject[]
Item grouprequires_shipping booleanShipping or nottaxable booleanTax or not?tax_linesobject[]
Taxrate stringTax ratetitle stringTax nameprice stringAmountprice_setobject
Multi-currency amountpresentment_moneyobject
Settlement currencyamount stringAmountcurrency_code stringCurrencyshop_moneyobject
Store currencycurrency_code stringCurrencyamount stringAmountquantity integerProduct quantity shippedfulfillable_quantity integerAvailable quantitysku stringProduct codegrams doubleWeighttitle stringProduct titleprice_setobject
Multi-currency pricespresentment_moneyobject
Settlement currencyamount stringAmountcurrency_code stringCurrencyshop_moneyobject
Store currencyamount stringAmountcurrency_code stringCurrencytotal_discount_setobject
Multi-currency discountshop_moneyobject
Store currencyamount stringAmountcurrency_code stringCurrencypresentment_moneyobject
Settlement currencyamount stringAmountcurrency_code stringCurrencyversion stringProduct versionvariant_id stringProduct variant IDproduct_id stringProduct IDfulfillment_quantity integerShipping quantityExample:1id stringProduct IDtotal_discount stringDiscount amountname stringProduct nameprice stringPricevariant_title stringProduct variant name
API Explorer
Debugger
Was this article helpful to you?